Imports System
Imports System.ComponentModel

Imports DevExpress.Xpo
Imports DevExpress.Data.Filtering

Imports DevExpress.ExpressApp
Imports DevExpress.Persistent.Base
Imports DevExpress.Persistent.BaseImpl
Imports DevExpress.Persistent.Validation

<DefaultClassOptions()> _
<NavigationItem("SQL Imports")> _
Public Class Hints
    Inherits BaseObject
    Private _View_ID As String
    Private _HintText As String
    Public Sub New(ByVal session As Session)
        MyBase.New(session)
    End Sub
    Property View_ID As String
        Get
            Return _View_ID
        End Get
        Set(ByVal value As String)
            SetPropertyValue("View_ID", _View_ID, value)
        End Set
    End Property
    <Size(-1)> _
    Property HintText As String
        Get
            Return _HintText
        End Get
        Set(ByVal value As String)
            SetPropertyValue("HintText", _HintText, value)
        End Set
    End Property
End Class
